package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.ImSendTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentCourseHomeworkCommentDto {

    @ApiModelProperty(value = "回复ID",required = false)
    private Long replyId;

    /** 留言人编号 */
    @ApiModelProperty(value = "留言人编号",required = true)
    private Integer userId;

    @ApiModelProperty(value = "留言人姓名",required = false)
    private String userName;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "是否是教师")
    private Integer isTeacher;

    /** 留言内容 */
    @ApiModelProperty(value = "留言内容",required = true)
    private String content;

    /**  */
    private java.util.Date createTime;

    private ImSendTypeEnum msgType;

    @ApiModelProperty(value = "回复",required = false)
    private List<StudentCourseHomeworkCommentDto> replys;

    public ImSendTypeEnum getMsgType() {
        return msgType;
    }

    public void setMsgType(ImSendTypeEnum msgType) {
        this.msgType = msgType;
    }

    public Integer getIsTeacher() {
        return isTeacher;
    }

    public void setIsTeacher(Integer isTeacher) {
        this.isTeacher = isTeacher;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getReplyId() {
        return replyId;
    }

    public void setReplyId(Long replyId) {
        this.replyId = replyId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<StudentCourseHomeworkCommentDto> getReplys() {
        return replys;
    }

    public void setReplys(List<StudentCourseHomeworkCommentDto> replys) {
        this.replys = replys;
    }
}
